Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class Reason

    java.lang.Object
      |
      +--oracle.apps.cz.cio.Reason

public class Reason
extends java.lang.Object

This class wraps the information returned by a contradiction in order to include information about internal error messages.

Field Summary
`static int` | `B2B`
`static int` | `B2C1`
`static int` | `B2C2`
`static int` | `B2C3`
`static int` | `B2C4`
`static int` | `B2P1`
`static int` | `B2P2`
`static int` | `CONNECT`
`static int` | `DEFAULT` This reason initiated from inability to set a state, because of a default relation.
`static int` | `INTL_TEXT` The message is an internationalized text string.
`static int` | `MINMAX` This reason initiated from an internal MINMAX relationship.
`static int` | `ORTHEN` This reason initiated from an internal ORTHEN relationship.
`static java.lang.String` | `RCS_ID`
`static boolean` | `RCS_ID_RECORDED`
`static int` | `TARGET_NOT_FOUND` Target not found
`static int` | `TEXT` The message is an unknown format text string.
`static int` | `TRUEATBIRTH` This reason initiated from an internal relationship for a group.

Constructor Summary
`Reason(int type, oracle.apps.cz.cio.IRuntimeNode node, java.lang.String msg, oracle.apps.cz.cio.Configuration config)` Construct a reason given all of it's information.
`Reason(oracle.apps.fnd.common.Message fndMsg, java.lang.String token, oracle.apps.cz.cio.IRuntimeNode node, oracle.apps.cz.cio.Configuration config)` Constructs a reason from an FND message.
`Reason(java.lang.String msg, oracle.apps.cz.cio.Configuration config)` Constructs a simple TEXT reason.

Method Summary
`java.lang.String` | `getFndMessageString(oracle.apps.fnd.common.Message fndMsg)`
`java.lang.String` | `getMsg()` Deprecated. Use translate() Get the message associated with this reason.
`oracle.apps.cz.cio.IRuntimeNode` | `getNode()` Get the node associated with this reason.
`int` | `getType()` Get the type of reason is held in this object.
`java.lang.String` | `toString()` Convert this object to a string.
`java.lang.String` | `translate()` This method returns the translated string for the reason.
`java.lang.String` | `translate(java.lang.String nodeName)` This method returns the translated reason string using the given name for substitution variable.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

### INTL_TEXT

    public static final int INTL_TEXT

  The message is an internationalized text string.

### TEXT

    public static final int TEXT

  The message is an unknown format text string.

### ORTHEN

    public static final int ORTHEN

  This reason initiated from an internal ORTHEN relationship.

### MINMAX

    public static final int MINMAX

  This reason initiated from an internal MINMAX relationship.

### TRUEATBIRTH

    public static final int TRUEATBIRTH

  This reason initiated from an internal relationship for a group.

### DEFAULT

    public static final int DEFAULT

  This reason initiated from inability to set a state, because of a default relation.

### B2B

    public static final int B2B

### B2P1

    public static final int B2P1

### B2P2

    public static final int B2P2

### B2C1

    public static final int B2C1

### B2C2

    public static final int B2C2

### B2C3

    public static final int B2C3

### B2C4

    public static final int B2C4

### TARGET_NOT_FOUND

    public static final int TARGET_NOT_FOUND

  Target not found

### CONNECT

    public static final int CONNECT

Constructor Detail

### Reason

    public Reason(int type,
                  oracle.apps.cz.cio.IRuntimeNode node,
                  java.lang.String msg,
                  oracle.apps.cz.cio.Configuration config)

  Construct a reason given all of it's information.
Parameters:
  `type` - What type of reason this is.
  `node` - The node that caused the problem.
  `msg` - The message returned.

### Reason

    public Reason(java.lang.String msg,
                  oracle.apps.cz.cio.Configuration config)

  Constructs a simple TEXT reason.
Parameters:
  `msg` - The message string for the reason.

### Reason

    public Reason(oracle.apps.fnd.common.Message fndMsg,
                  java.lang.String token,
                  oracle.apps.cz.cio.IRuntimeNode node,
                  oracle.apps.cz.cio.Configuration config)

  Constructs a reason from an FND message.
Parameters:
  `fndMsg` - The FND message object with all but one token substituted.
  `token` - The token name left to substitute.
  `node` - The node requiring substitution.

Method Detail

### getType

    public int getType()

  Get the type of reason is held in this object.

### getNode

    public oracle.apps.cz.cio.IRuntimeNode getNode()

  Get the node associated with this reason.

### getMsg

    public java.lang.String getMsg()

  Deprecated. Use translate() Get the message associated with this reason.

### translate

    public java.lang.String translate()

  This method returns the translated string for the reason. If the string has a node name substitution then the internal name is used.

### translate

    public java.lang.String translate(java.lang.String nodeName)

  This method returns the translated reason string using the given name for substitution variable.
  Parameters:
    `nodeName` - The node name to substitute into the string.

### toString

    public java.lang.String toString()

  Convert this object to a string.
  Overrides:
    `toString` in class `java.lang.Object`

### getFndMessageString

    public java.lang.String getFndMessageString(oracle.apps.fnd.common.Message fndMsg)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.